Package ru.bitel.bgbilling.kernel.tariff.common.bean

# Enum Class TariffVarType

java.lang.Object
java.lang.Enum<TariffVarType>
ru.bitel.bgbilling.kernel.tariff.common.bean.TariffVarType

All Implemented Interfaces:
  `Serializable`, `Comparable<TariffVarType>`, `Constable`, `GuiTitlable`

public enum TariffVarType extends Enum<TariffVarType> implements GuiTitlable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COST`
  `INET_OPTION`
  `MULT`
  `STRING`
  `VOICE_RANGE_ID`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCode()`
  `String`
  `getGuiTitle()`
  Строка - имя объекта.
  `String[]`
  `getModuleName()`
  `static TariffVarType`
  `getTariffVarTypeByCode(String code)`
  `String`
  `getTitle()`
  `String`
  `getType()`
  `static TariffVarType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TariffVarType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STRING

    public static final TariffVarType STRING

  - ### COST

    public static final TariffVarType COST

  - ### MULT

    public static final TariffVarType MULT

  - ### INET_OPTION

    public static final TariffVarType INET_OPTION

  - ### VOICE_RANGE_ID

    public static final TariffVarType VOICE_RANGE_ID

- ## Method Details

  - ### values

    public static TariffVarType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TariffVarType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCode

    public String getCode()

  - ### getTitle

    public String getTitle()

  - ### getType

    public String getType()

  - ### getModuleName

    public String[] getModuleName()

  - ### getGuiTitle

    public String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.

  - ### getTariffVarTypeByCode

    public static TariffVarType getTariffVarTypeByCode(String code)